# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.dom.window

Extends CKEDITOR.dom.domObject.
Defined in: core/dom/window.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dom.window(domWindow) Represents a DOM window.

Fields borrowed from class CKEDITOR.dom.domObject:
  $

Method Summary
Method Attributes | Method Name and Description
--- | ---
| focus() Moves the selection focus to this window.
| getScrollPosition() Gets the current position of the window's scroll.
| getViewPaneSize() Gets the width and height of this window's viewable area.

Methods borrowed from class CKEDITOR.dom.domObject:
  equals, getCustomData, getPrivate, setCustomData
Methods borrowed from class CKEDITOR.event:
  fire, fireOnce, hasListeners, implementOn, on, removeListener

Class Detail
CKEDITOR.dom.window(domWindow)
Since: 3.0
Represents a DOM window.

    var document = new CKEDITOR.dom.window( window );

Parameters:
{Object} domWindow
  A native DOM window.

Method Detail
{Undefined} focus()
Since: 3.0
Moves the selection focus to this window.

    var win = new CKEDITOR.dom.window( window );
    win.focus();

{Object} getScrollPosition()
Since: 3.0
Gets the current position of the window's scroll.

    var win = new CKEDITOR.dom.window( window );
    var pos = win.getScrollPosition();
    alert( pos.x );
    alert( pos.y );

Returns:
  {Object} An object with the "x" and "y" properties containing the scroll position.

{Object} getViewPaneSize()
Since: 3.0
Gets the width and height of this window's viewable area.

    var win = new CKEDITOR.dom.window( window );
    var size = win.getViewPaneSize();
    alert( size.width );
    alert( size.height );

Returns:
  {Object} An object with the "width" and "height" properties containing the size.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.